Status: Resolved Start date: 10/31/2011
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: C++ Estimated time: 1.00 hour
Target version: 0.6
Description

in order to use the protocol outside of the rsb core itself, the generated protocol files must be visible through the dll border.

Associated revisions
Revision d0f68630 - 10/31/2011 09:38 AM - J. Wienke

    -  Provide export symbols for the protocol files generated through protocol buffers to be able to use them in external projects
    -  remove static protocol library. This was only introduced for being able to use the protocol in unit tests without playing with export symbols

fixes #687

History
#1 - 10/31/2011 09:02 AM - J. Wienke
- Status changed from New to In Progress

#2 - 10/31/2011 09:39 AM - J. Wienke
- Status changed from In Progress to Resolved
- % Done changed from 0 to 100

Applied in changeset r3022.

#3 - 11/18/2011 02:44 PM - S. Wrede
- Target version changed from rsb-0.7 to 0.6
